### Class

# Foundry VcsDelta

#### Description

    abstract class Foundry.VcsDelta : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitDelta

#### Instance methods

###### foundry_vcs_delta_dup_new_id

No description available.

###### foundry_vcs_delta_dup_new_path

No description available.

###### foundry_vcs_delta_dup_old_id

No description available.

###### foundry_vcs_delta_dup_old_path

No description available.

###### foundry_vcs_delta_get_new_mode

No description available.

###### foundry_vcs_delta_get_old_mode

No description available.

###### foundry_vcs_delta_get_status

No description available.

###### foundry_vcs_delta_list_hunks

Queries the VCS for the list of hunks that are part of this delta.

since: 1.1

###### foundry_vcs_delta_serialize

Serializes the delta to a unified diff format string.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsDelta:new-path

No description available.

###### Foundry.VcsDelta:old-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsDeltaClass {
      GObjectClass parent_class;
      char* (* dup_old_path) (
        FoundryVcsDelta* self
      );
      char* (* dup_new_path) (
        FoundryVcsDelta* self
      );
      char* (* dup_old_id) (
        FoundryVcsDelta* self
      );
      char* (* dup_new_id) (
        FoundryVcsDelta* self
      );
      FoundryVcsDeltaStatus (* get_status) (
        FoundryVcsDelta* self
      );
      guint (* get_old_mode) (
        FoundryVcsDelta* self
      );
      guint (* get_new_mode) (
        FoundryVcsDelta* self
      );
      DexFuture* (* list_hunks) (
        FoundryVcsDelta* self
      );
      DexFuture* (* serialize) (
        FoundryVcsDelta* self,
        guint context_lines
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_old_path: char* (* dup_old_path) ( FoundryVcsDelta* self )`

  No description available.

`dup_new_path: char* (* dup_new_path) ( FoundryVcsDelta* self )`

  No description available.

`dup_old_id: char* (* dup_old_id) ( FoundryVcsDelta* self )`

  No description available.

`dup_new_id: char* (* dup_new_id) ( FoundryVcsDelta* self )`

  No description available.

`get_status: FoundryVcsDeltaStatus (* get_status) ( FoundryVcsDelta* self )`

  No description available.

`get_old_mode: guint (* get_old_mode) ( FoundryVcsDelta* self )`

  No description available.

`get_new_mode: guint (* get_new_mode) ( FoundryVcsDelta* self )`

  No description available.

`list_hunks: DexFuture* (* list_hunks) ( FoundryVcsDelta* self )`

  No description available.

`serialize: DexFuture* (* serialize) ( FoundryVcsDelta* self, guint context_lines )`

  No description available.

#### Virtual methods

###### Foundry.VcsDeltaClass.dup_new_id

No description available.

###### Foundry.VcsDeltaClass.dup_new_path

No description available.

###### Foundry.VcsDeltaClass.dup_old_id

No description available.

###### Foundry.VcsDeltaClass.dup_old_path

No description available.

###### Foundry.VcsDeltaClass.get_new_mode

No description available.

###### Foundry.VcsDeltaClass.get_old_mode

No description available.

###### Foundry.VcsDeltaClass.get_status

No description available.

###### Foundry.VcsDeltaClass.list_hunks

Queries the VCS for the list of hunks that are part of this delta.

since: 1.1

###### Foundry.VcsDeltaClass.serialize

Serializes the delta to a unified diff format string.

since: 1.1